<html>
<head>
<title>Ogre::OSXCocoaContext Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1OSXCocoaContext.html">OSXCocoaContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::OSXCocoaContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::OSXCocoaContext" --><!-- doxytag: inherits="Ogre::OSXContext,Ogre::AllocatedObject" -->
<p><code>#include &lt;<a class="el" href="OgreOSXCocoaContext_8h_source.html">OgreOSXCocoaContext.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::OSXCocoaContext:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1OSXCocoaContext__inherit__graph.gif" border="0" usemap="#Ogre_1_1OSXCocoaContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1OSXCocoaContext_inherit__map" id="Ogre_1_1OSXCocoaContext_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1OSXContext.html" title="Class that encapsulates an GL context." alt="" coords="5,83,136,112"/><area shape="rect" id="node4" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context." alt="" coords="11,5,131,35"/><area shape="rect" id="node6" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="160,83,317,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1OSXCocoaContext-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#a35b15c68119023665151e9c17ab5264a">OSXCocoaContext</a> (NSOpenGLContext *context, NSOpenGLPixelFormat *pixelFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#a0a0e66613d773d8fd2b96507195ff97c">~OSXCocoaContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#a06d0210c0414f2bb2d06d2f153b30a8c">setCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">See <a class="el" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context.">GLContext</a>.  <a href="#a06d0210c0414f2bb2d06d2f153b30a8c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#aee6efb616fe0530a9e451e8d4794a540">endCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#aee6efb616fe0530a9e451e8d4794a540"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLContext.html">GLContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#ade09c76848c11ea4faeeeafd5b6b6961">clone</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.  <a href="#ade09c76848c11ea4faeeeafd5b6b6961"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#a399ff71bcb3ddab15a967dc5817fb90b">getContextType</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return value will be "NSOpenGL".  <a href="#a399ff71bcb3ddab15a967dc5817fb90b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">NSOpenGLContext *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#aade3b16193d837cf358f4269d338100a">getContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Grab the NSOpenGLContext if it exists.  <a href="#aade3b16193d837cf358f4269d338100a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">NSOpenGLPixelFormat *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#aa7aa33a7625670be4c1e85892e3f4102">getPixelFormat</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Grab the NSOpenGLPixelFormat if it exists.  <a href="#aa7aa33a7625670be4c1e85892e3f4102"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXContext.html#a39514f8cddbe370f5a92e9a5e7cc5fc5">_unregisterContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Must be called from destructor of final descendant.  <a href="#a39514f8cddbe370f5a92e9a5e7cc5fc5"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">initialized</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">NSOpenGLContext *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#a16bb4bda1a2ed33afff08f6e35ab552f">mNSGLContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">NSOpenGLPixelFormat *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXCocoaContext.html#ab93a60b1be01e049e81afeccc8a255ee">mNSGLPixelFormat</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreOSXCocoaContext_8h_source.html#l00036">36</a> of file <a class="el" href="OgreOSXCocoaContext_8h_source.html">OgreOSXCocoaContext.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a35b15c68119023665151e9c17ab5264a"></a><!-- doxytag: member="Ogre::OSXCocoaContext::OSXCocoaContext" ref="a35b15c68119023665151e9c17ab5264a" args="(NSOpenGLContext *context, NSOpenGLPixelFormat *pixelFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OSXCocoaContext.html#a35b15c68119023665151e9c17ab5264a">Ogre::OSXCocoaContext::OSXCocoaContext</a> </td>
          <td>(</td>
          <td class="paramtype">NSOpenGLContext *&#160;</td>
          <td class="paramname"><em>context</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">NSOpenGLPixelFormat *&#160;</td>
          <td class="paramname"><em>pixelFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a0a0e66613d773d8fd2b96507195ff97c"></a><!-- doxytag: member="Ogre::OSXCocoaContext::~OSXCocoaContext" ref="a0a0e66613d773d8fd2b96507195ff97c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1OSXCocoaContext.html#a0a0e66613d773d8fd2b96507195ff97c">Ogre::OSXCocoaContext::~OSXCocoaContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a39514f8cddbe370f5a92e9a5e7cc5fc5"></a><!-- doxytag: member="Ogre::OSXCocoaContext::_unregisterContext" ref="a39514f8cddbe370f5a92e9a5e7cc5fc5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1OSXContext.html#a39514f8cddbe370f5a92e9a5e7cc5fc5">Ogre::OSXContext::_unregisterContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Must be called from destructor of final descendant. </p>

</div>
</div>
<a class="anchor" id="ade09c76848c11ea4faeeeafd5b6b6961"></a><!-- doxytag: member="Ogre::OSXCocoaContext::clone" ref="ade09c76848c11ea4faeeeafd5b6b6961" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLContext.html">GLContext</a>* <a class="el" href="classOgre_1_1OSXCocoaContext.html#ade09c76848c11ea4faeeeafd5b6b6961">Ogre::OSXCocoaContext::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1OSXContext.html#af182601745929425ea320b734d78bf4c">Ogre::OSXContext</a>.</p>

</div>
</div>
<a class="anchor" id="aee6efb616fe0530a9e451e8d4794a540"></a><!-- doxytag: member="Ogre::OSXCocoaContext::endCurrent" ref="aee6efb616fe0530a9e451e8d4794a540" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1OSXCocoaContext.html#aee6efb616fe0530a9e451e8d4794a540">Ogre::OSXCocoaContext::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implements <a class="el" href="classOgre_1_1OSXContext.html#a53cb572dc2f8752e30cda08e278ebd91">Ogre::OSXContext</a>.</p>

</div>
</div>
<a class="anchor" id="aade3b16193d837cf358f4269d338100a"></a><!-- doxytag: member="Ogre::OSXCocoaContext::getContext" ref="aade3b16193d837cf358f4269d338100a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NSOpenGLContext* <a class="el" href="classOgre_1_1OSXCocoaContext.html#aade3b16193d837cf358f4269d338100a">Ogre::OSXCocoaContext::getContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Grab the NSOpenGLContext if it exists. </p>

</div>
</div>
<a class="anchor" id="a399ff71bcb3ddab15a967dc5817fb90b"></a><!-- doxytag: member="Ogre::OSXCocoaContext::getContextType" ref="a399ff71bcb3ddab15a967dc5817fb90b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1OSXCocoaContext.html#a399ff71bcb3ddab15a967dc5817fb90b">Ogre::OSXCocoaContext::getContextType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return value will be "NSOpenGL". </p>

<p>Implements <a class="el" href="classOgre_1_1OSXContext.html#a94b3caa0a683399e8c6567cf83ef1857">Ogre::OSXContext</a>.</p>

</div>
</div>
<a class="anchor" id="a996fa8eb69f0ad3fd5eb210135a4af72"></a><!-- doxytag: member="Ogre::OSXCocoaContext::getInitialized" ref="a996fa8eb69f0ad3fd5eb210135a4af72" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLContext.html#a996fa8eb69f0ad3fd5eb210135a4af72">Ogre::GLContext::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00057">57</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7aa33a7625670be4c1e85892e3f4102"></a><!-- doxytag: member="Ogre::OSXCocoaContext::getPixelFormat" ref="aa7aa33a7625670be4c1e85892e3f4102" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NSOpenGLPixelFormat* <a class="el" href="classOgre_1_1OSXCocoaContext.html#aa7aa33a7625670be4c1e85892e3f4102">Ogre::OSXCocoaContext::getPixelFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Grab the NSOpenGLPixelFormat if it exists. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::OSXCocoaContext::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8"></a><!-- doxytag: member="Ogre::OSXCocoaContext::releaseContext" ref="a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLContext.html#a0ea0bc03ba6cd6d3b5cb6cfa5ae25ed8">Ogre::GLContext::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Reimplemented in <a class="el" href="classOgre_1_1Win32Context.html#aa5a289fe65c137eaf0ba5760fa88c5a1">Ogre::Win32Context</a>.</p>

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00069">69</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a06d0210c0414f2bb2d06d2f153b30a8c"></a><!-- doxytag: member="Ogre::OSXCocoaContext::setCurrent" ref="a06d0210c0414f2bb2d06d2f153b30a8c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1OSXCocoaContext.html#a06d0210c0414f2bb2d06d2f153b30a8c">Ogre::OSXCocoaContext::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>See <a class="el" href="classOgre_1_1GLContext.html" title="Class that encapsulates an GL context.">GLContext</a>. </p>

<p>Implements <a class="el" href="classOgre_1_1OSXContext.html#ab5838318235c62498cfdbc71034d23c5">Ogre::OSXContext</a>.</p>

</div>
</div>
<a class="anchor" id="ae18d155f61acb28196fb24d230af27cd"></a><!-- doxytag: member="Ogre::OSXCocoaContext::setInitialized" ref="ae18d155f61acb28196fb24d230af27cd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLContext.html#ae18d155f61acb28196fb24d230af27cd">Ogre::GLContext::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a6e2809a9ff6ad0d06dc52dc82d7a0357"></a><!-- doxytag: member="Ogre::OSXCocoaContext::initialized" ref="a6e2809a9ff6ad0d06dc52dc82d7a0357" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLContext.html#a6e2809a9ff6ad0d06dc52dc82d7a0357">Ogre::GLContext::initialized</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLContext_8h_source.html#l00071">71</a> of file <a class="el" href="OgreGLContext_8h_source.html">OgreGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a16bb4bda1a2ed33afff08f6e35ab552f"></a><!-- doxytag: member="Ogre::OSXCocoaContext::mNSGLContext" ref="a16bb4bda1a2ed33afff08f6e35ab552f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NSOpenGLContext* <a class="el" href="classOgre_1_1OSXCocoaContext.html#a16bb4bda1a2ed33afff08f6e35ab552f">Ogre::OSXCocoaContext::mNSGLContext</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOSXCocoaContext_8h_source.html#l00067">67</a> of file <a class="el" href="OgreOSXCocoaContext_8h_source.html">OgreOSXCocoaContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab93a60b1be01e049e81afeccc8a255ee"></a><!-- doxytag: member="Ogre::OSXCocoaContext::mNSGLPixelFormat" ref="ab93a60b1be01e049e81afeccc8a255ee" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">NSOpenGLPixelFormat* <a class="el" href="classOgre_1_1OSXCocoaContext.html#ab93a60b1be01e049e81afeccc8a255ee">Ogre::OSXCocoaContext::mNSGLPixelFormat</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOSXCocoaContext_8h_source.html#l00068">68</a> of file <a class="el" href="OgreOSXCocoaContext_8h_source.html">OgreOSXCocoaContext.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreOSXCocoaContext_8h_source.html">OgreOSXCocoaContext.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:21
</p>
</body>
</html>
